#
# spec file for package w3mir (Version 1.0.10)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  perl-Digest-MD5 perl-HTML-Parser perl-MIME-Base64 perl-URI perl-libnet perl-libwww-perl
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl perl-Digest-MD5 perl-HTML-Parser perl-MIME-Base64 perl-URI perl-libnet perl-libwww-perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         w3mir
Copyright:    Artistic License
Group:        Networking/Utilities
Requires:     perl-Digest-MD5 perl-libnet perl-URI perl-MIME-Base64 perl-libwww-perl perl-HTML-Parser
Autoreqprov:  on
Version:      1.0.10
Release:      97
Summary:      HTTP copying and mirroring tool
URL:          http://langfeldt.net/w3mir/
Source:       %{name}-%{version}.tar.bz2
BuildRoot:    %{_tmppath}/%{name}-root

%description
The main focus of w3mir is to create and maintain a browsable copy of
one, or several, remote WWW site(s).
Used to the max w3mir can retrieve the contents of
several related sites and leave the mirror browseable via a local web
server, or from a filesystem, such as directly from a CDROM.
w3mir's goal is to be able to make useful mirrors of any reasonable
WWW site. It specifically preserves link integrity within the mirrored
documents as well as the integrity of links outside the mirror, if you
want it to. w3mir has a powerful ``multi scope'' mechanism enabling the
user to make mirrors of several related sites and have links between
them refer to the mirrored documents rather than the original site.
w3mir has several features directed at getting mirrors for CDROM burning
and handling of some not too often seen problems when mirroring.

Authors:
--------
    Lcolai Langfeldt <janl@ifi.uio.no>
    Gorm Haug Eriksen <gorm@usit.uio.no>
    Chris Szurgot <szurgot@itribe.net>
    Ed Jordan <ed@olympus.itl.net>
    Alex Knowles <aknowles@avs.com>

SuSE series: n

%prep
%setup 

%build
perl Makefile.PL
make

%install
rm -rf $RPM_BUILD_ROOT
eval `perl -V:installarchlib`
install -d $RPM_BUILD_ROOT/$installarchlib
make PREFIX=$RPM_BUILD_ROOT/usr \
     INSTALLMAN1DIR=$RPM_BUILD_ROOT/%{_mandir}/man1 \
     INSTALLMAN3DIR=$RPM_BUILD_ROOT/%{_mandir}/man3 \
     install
install -d $RPM_BUILD_ROOT/var/adm/perl-modules
mv $RPM_BUILD_ROOT/$installarchlib/perllocal.pod $RPM_BUILD_ROOT/var/adm/perl-modules/w3mir
cd $RPM_BUILD_ROOT/var/adm/perl-modules/
cat w3mir | sed s:$RPM_BUILD_ROOT:: > w3mir.n
mv w3mir.n w3mir

%files
%defattr(-,root,root)
%doc Artistic Changes INSTALL MANIFEST example.cfg multiscope.cfg README w3mir-HOWTO.html
%doc %{_mandir}/man1/*
/usr/bin/*
/usr/lib/perl5/site_perl/5.*/*-linux/auto/w3mir
/usr/lib/perl5/site_perl/5.*/*.pm
/var/adm/perl-modules/w3mir

%clean
rm -r $RPM_BUILD_ROOT

%changelog -n w3mir
* Tue Jul 31 2001 - adostal@suse.cz
- change URL (new is http://langfeldt.net/w3mir/)
* Tue Mar 13 2001 - cihlar@suse.cz
- update to version 1.0.10
* Thu Nov 16 2000 - cihlar@suse.cz
- fixed neededforbuild
- bzipped sources
* Wed Aug 23 2000 - ro@suse.de
- fixed perl path
* Mon Jun 19 2000 - cihlar@suse.cz
- removed perl modules
* Mon May 22 2000 - cihlar@suse.cz
- fixed bug with sed
* Thu May 18 2000 - cihlar@suse.cz
- /usr/doc/packages -> %%{_defaultdocdir}
* Fri Mar 31 2000 - cihlar@suse.cz
- added BuildRoot
- clean up spec file
- update to version 1.0.9
- update HTML-Parser to version 3.07
- update libwww-perl to version 5.47
- removed conflicts perl_uri: new version of libwww use it
- added requires perl_uri and perl_net
* Wed Mar 22 2000 - ro@suse.de
- removed libnet, is in perl_net now
* Wed Mar 22 2000 - ro@suse.de
- removed MD5 : should work with new perl_md5 package
- added conflicts perl_uri : libwww can't work with recent URI
* Thu Feb 17 2000 - grimmer@suse.de
- added URL
- use version macro
- apply recommended patch from web site to abort
  function rm_rf immediately
* Thu Jan 20 2000 - ro@suse.de
- use macro for mandir
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Jun 15 1999 - grimmer@suse.de
- update to 1.0.8
- updated Perl-Modules and changed pathnames
- now uses "make install" to install perl modules
* Wed Mar 17 1999 - ro@suse.de
- remove .orig with -f
* Tue Mar 02 1999 - grimmer@suse.de
- new version 1.0.6
- added perl module HTML-Parser
- specfile changes
* Wed Jan 20 1999 - ro@suse.de
- adapted filelist to build on alpha as well
* Tue Nov 17 1998 - ro@suse.de
- adapted paths to perl5.005_02
* Tue Nov 10 1998 - grimmer@suse.de
- new version 1.0.3 -> 1.0.5
- new versions of perl Modules:
  MIME-Base64 2.05 -> 2.08
- minor specfile changes
* Tue Oct 06 1998 - ro@suse.de
- respect different perl-versions
* Mon Jul 13 1998 - grimmer@suse.de
- new version 0.99b2 -> 1.0.3
- new versions of perl Modules:
  MIME-Base64 2.04 -> 2.05
  libwww 5.18 -> 5.34
- fixed installation of Perl Modules
- fixed spec- and pacfiles
* Mon Apr 06 1998 - ro@suse.de
- fixed postin (again: removed leading /)
* Wed Mar 11 1998 - ro@suse.de
- fixed postin
* Thu Feb 12 1998 - ro@suse.de
- fixed specfile and changed usr/local/bin/perl in demos
* Tue Jan 13 1998 - bb@suse.de
  About Version 0.99a3:
  Feature/Code freeze time.  Now we only debug.  Baring serious problems
  the next release will be 0.99b1 (beta).  New in this release
- We understand the BASE tag.  It's still removed, but everything is
  relative to it instead of the document origin.
- Everything is in place to fix up redirected references, in a separate
  program.
